Subject: Re: bug#59540: Calling length on a very long improper list is disastrous.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 12 Dec 2022 12:45:08 +0100

Hi,

lloda <[email-masked]> skribis:

> I think excessive output is a more serious problem, because it should be possible to go to a backtrace frame and look at objects directly. On the other hand, it should also be possible to C-c when guile starts to flood the terminal. But neither of these workarounds is reliable :-/ Ultimately this printing should be configurable.
>
> We already have the repl-option system (repl-option-set! repl 'print ...). This system doesn't apply to exception messages nor backtraces. I think if it did, that would mostly solve the problem.

Yes.  Right now it’s just $COLUMNS; we should have a documented SRFI-39
parameter for that.

> I also think that, besides options to truncate or not, we should have a pager (display at most a page, give options to next/stop/all). That would be the best default.

Yes!

Ludo’.